> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# メイン統計情報を取得

> 全 Raydium プールの TVL と 24 時間取引量を取得します。60 秒キャッシュ。



## OpenAPI

````yaml /ja/api-reference/openapi/api-v3.yaml get /main/info
openapi: 3.0.3
info:
  title: Raydium API v3
  version: 3.0.0
  description: >-
    Raydium API v3 は、Solana ブロックチェーン上のリクイディティプール・ミント情報・ファーム詳細・IDO
    プール・チェーンメタデータを照会するための REST
    エンドポイントを提供します。ウォレット・アグリゲーター・トレーダーが価格フィード・プールデータ・ルーティング情報を取得する際に使用します。
servers:
  - url: https://api-v3.raydium.io
    description: 本番環境（Mainnet）
  - url: https://api-v3-devnet.raydium.io
    description: 開発環境（Devnet）
security: []
tags:
  - name: Main
    description: チェーン情報・TVL・設定に関するコア API エンドポイント
  - name: Mint
    description: トークンのミント情報と価格
  - name: Pools
    description: リクイディティプールの情報・キー・履歴データ
  - name: Farms
    description: ファームプールの情報とキー
  - name: IDO
    description: IDO プールの情報とキー
paths:
  /main/info:
    get:
      tags:
        - Main
      summary: メイン統計情報を取得
      description: 全 Raydium プールの TVL と 24 時間取引量を取得します。60 秒キャッシュ。
      operationId: getMainInfo
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          tvl:
                            type: number
                          volume24:
                            type: number
components:
  schemas:
    ApiResponse:
      type: object
      description: >-
        共通レスポンスエンベロープ。`data` フィールドは各エンドポイントのレスポーススキーマが `allOf`
        を通じて提供するため、ベースエンベロープ上では宣言されません。
      required:
        - id
        - success
      properties:
        id:
          type: string
          description: リクエスト ID（UUID）
        success:
          type: boolean
          description: リクエストが成功したかどうか
        msg:
          type: string
          description: success が false の場合のエラーメッセージ

````